Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface Page

public interface Page
extends PortalResource

Interface `Page` represents a panel within a rendered portal view. In this the portal framework this page would be expected to have been defined by the EBCC.

Field Summary
`static java.lang.String` | `DISPLAY_TYPE_IMAGE`
`static java.lang.String` | `DISPLAY_TYPE_TEXT`
`static int` | `IMAGE_DEFAULT` Constant to represent image of type Default.
`static int` | `IMAGE_ROLLOVER` Constant to represent image of type Rollover.
`static int` | `IMAGE_SELECTED` Constant to represent image of type Selected.
`static int` | `MAX_IMAGES` Constant to represent the maximum number of images.
`static int` | `PAGE_AVAILABLE` Constant to represent attribute available.
`static int` | `PAGE_MANDATORY` Constant to represent attribute Mandatory.
`static int` | `PAGE_VISIBLE` Constant to represent attribute Visible.

Method Summary
`PageIdentifier` | `getIdentifier()` Returns the unique identifier for this `Page`.
`java.lang.String` | `getImageName(int imageType)` Returns the filename of the image defined for the specified image type.
`java.util.List` | `getLayouts()` Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.
`Portlet` | `getPortlet(PortletIdentifier portletId)` Returns a `Portlet` corresponding to the `PortletIdentifier` specified.
`java.util.List` | `getPortlets()` Returns a `List` of `PortletIdentifier` objects for the portlets available for selection on this page.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Field Detail

### IMAGE_DEFAULT

    public static final int IMAGE_DEFAULT

  Constant to represent image of type Default.

### IMAGE_SELECTED

    public static final int IMAGE_SELECTED

  Constant to represent image of type Selected.

### IMAGE_ROLLOVER

    public static final int IMAGE_ROLLOVER

  Constant to represent image of type Rollover.

### MAX_IMAGES

    public static final int MAX_IMAGES

  Constant to represent the maximum number of images.

### PAGE_AVAILABLE

    public static final int PAGE_AVAILABLE

  Constant to represent attribute available.

### PAGE_VISIBLE

    public static final int PAGE_VISIBLE

  Constant to represent attribute Visible.

### PAGE_MANDATORY

    public static final int PAGE_MANDATORY

  Constant to represent attribute Mandatory.

### DISPLAY_TYPE_TEXT

    public static final java.lang.String DISPLAY_TYPE_TEXT

### DISPLAY_TYPE_IMAGE

    public static final java.lang.String DISPLAY_TYPE_IMAGE

Method Detail

### getIdentifier

    public PageIdentifier getIdentifier()

  Returns the unique identifier for this `Page`.

  Returns:
    `PageIdentifier` for this `Page`.

### getImageName

    public java.lang.String getImageName(int imageType)

  Returns the filename of the image defined for the specified image type. Valid values are:

  `Page.IMAGE_DEFAULT`

  `Page.IMAGE_SELECTED`

  `Page.IMAGE_ROLLOVER`

  These filenames are expected to be defined in the EBCC and do not need to include directory information but should include the appropriate filename extension (eg. HomePageRollover.gif ).

  Parameters:
    `imageType` - a constant specifying the image type required.
  Returns:
    the filename defined for the image type specified.

### getLayouts

    public java.util.List getLayouts()

  Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection on this page.

  Note: This is the set of layouts available for group administrators to select from as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of layouts available on this page.

### getPortlets

    public java.util.List getPortlets()

  Returns a `List` of `PortletIdentifier` objects for the portlets available for selection on this page.

  Note: This is the set of portlets available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of portlets available on this page.

### getPortlet

    public Portlet getPortlet(PortletIdentifier portletId)

  Returns a `Portlet` corresponding to the `PortletIdentifier` specified.

  Parameters:
    `portletId` - identifier for portlet required.
  Returns:
    `Portlet` as specified.
  Throws:
    java.lang.IllegalArgumentException - if portlet is not available.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved